%define version 0.0.7
%define release 1mdk

%define req_libggz_version 0.0.7
%define req_ggz_client_libs_version 0.0.7

Name:		ggz-gnome-client
Summary:	GGZ Client with GNOME user interface
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Other
URL:		http://ggz.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

# http://download.sf.net/ggz/
Source:		%{name}-%{version}.tar.bz2
# (Abel) 0.0.7-1mdk Fix DESTDIR install
Patch0:		%{name}-0.0.7-destdir.patch.bz2
# (Abel) 0.0.7-1mdk Fix schemas
Patch1:		%{name}-0.0.7-schemas.patch.bz2

BuildRequires:	libggz-devel = %{req_libggz_version}
BuildRequires:	ggz-client-libs-devel = %{req_ggz_client_libs_version}
BuildRequires:	libgnomeui2-devel automake1.7 autoconf2.5
Requires:	libggz = %{req_libggz_version}
Requires:	ggz-client-libs = %{req_ggz_client_libs_version}
Requires:	ggz-game-modules = %{version}
Prereq:		GConf2 >= 2.3.3

%description
The official GGZ Gaming Zone client with GNOME user interface.

%prep
%setup -q
%patch0 -p1 -b .destdir
%patch1 -p1 -b .schemas-fix

# needed by patch0
aclocal-1.7
automake-1.7
autoconf-2.5x

%build
%configure2_5x
%make

%install
[ -z "%{buildroot}" -o "%{buildroot}" = "/" ] || rm -rf %{buildroot}
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

# menu entry
install -d -m 0755 %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} <<_EOF_
?package(%{name}): \
 command="%{_bindir}/ggz-gnome" \
 icon="other_amusement.png" \
 longtitle="GGZ Gaming Zone game client with GNOME interface" \
 needs="x11" \
 section="Amusement/Other" \
 title="GGZ GNOME Game Client"
_EOF_

%find_lang %{name}

%post
%update_menus
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
for SCHEMA in ggz-gnome; do
        gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/${SCHEMA}.schemas > /dev/null
done

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  for SCHEMA in ggz-gnome; do
    gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/${SCHEMA}.schemas > /dev/null
  done
fi

%postun
%clean_menus

%clean
[ -z "%{buildroot}" -o "%{buildroot}" = "/" ] || rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/*.schemas
%{_bindir}/ggz-gnome
%{_datadir}/ggz/ggz-gnome
%{_datadir}/gnome/apps/*/*
%{_menudir}/%{name}

%changelog
* Fri Sep  5 2003 Abel Cheung <deaddog@deaddog.org> 0.0.7-1mdk
- First Mandrake package
- Patch0: fix DESTDIR support
- Patch1: fix schemas file, add <list_type>
